export default {
  submodule: false,
  submoduleLink: null,
  blob: {
    id: '9e10516ca50788acf18c518a231914a21e5f16f7',
    path: 'CHANGELOG',
    name: 'CHANGELOG',
    mode: '100644',
    readableText: true,
    icon: 'file-text-o',
  },
  blobPath: 'CHANGELOG',
  blobName: 'CHANGELOG',
  blobIcon: '<i aria-hidden="true" data-hidden="true" class="fa fa-file-text-o fa-fw"></i>',
  fileHash: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a',
  filePath: 'CHANGELOG',
  newFile: false,
  deletedFile: false,
  renamedFile: false,
  oldPath: 'CHANGELOG',
  newPath: 'CHANGELOG',
  modeChanged: false,
  aMode: '100644',
  bMode: '100644',
  text: true,
  addedLines: 2,
  removedLines: 0,
  diffRefs: {
    baseSha: 'e63f41fe459e62e1228fcef60d7189127aeba95a',
    startSha: 'd9eaefe5a676b820c57ff18cf5b68316025f7962',
    headSha: 'c48ee0d1bf3b30453f5b32250ce03134beaa6d13',
  },
  contentSha: 'c48ee0d1bf3b30453f5b32250ce03134beaa6d13',
  storedExternally: null,
  externalStorage: null,
  oldPathHtml: 'CHANGELOG',
  newPathHtml: 'CHANGELOG',
  editPath: '/gitlab-org/gitlab-test/edit/spooky-stuff/CHANGELOG',
  viewPath: '/gitlab-org/gitlab-test/blob/spooky-stuff/CHANGELOG',
  replacedViewPath: null,
  collapsed: false,
  renderIt: false,
  tooLarge: false,
  contextLinesPath:
    '/gitlab-org/gitlab-test/blob/c48ee0d1bf3b30453f5b32250ce03134beaa6d13/CHANGELOG/diff',
  highlightedDiffLines: [
    {
      lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_1',
      type: 'new',
      oldLine: null,
      newLine: 1,
      discussions: [],
      text: '+<span id="LC1" class="line" lang="plaintext">  - Bad dates</span>\n',
      richText: '+<span id="LC1" class="line" lang="plaintext">  - Bad dates</span>\n',
      metaData: null,
    },
    {
      lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_2',
      type: 'new',
      oldLine: null,
      newLine: 2,
      discussions: [],
      text: '+<span id="LC2" class="line" lang="plaintext"></span>\n',
      richText: '+<span id="LC2" class="line" lang="plaintext"></span>\n',
      metaData: null,
    },
    {
      lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_3',
      type: null,
      oldLine: 1,
      newLine: 3,
      discussions: [],
      text: ' <span id="LC3" class="line" lang="plaintext">v6.8.0</span>\n',
      richText: ' <span id="LC3" class="line" lang="plaintext">v6.8.0</span>\n',
      metaData: null,
    },
    {
      lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_2_4',
      type: null,
      oldLine: 2,
      newLine: 4,
      discussions: [],
      text: ' <span id="LC4" class="line" lang="plaintext"></span>\n',
      richText: ' <span id="LC4" class="line" lang="plaintext"></span>\n',
      metaData: null,
    },
    {
      lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_3_5',
      type: null,
      oldLine: 3,
      newLine: 5,
      discussions: [],
      text: ' <span id="LC5" class="line" lang="plaintext">v6.7.0</span>\n',
      richText: ' <span id="LC5" class="line" lang="plaintext">v6.7.0</span>\n',
      metaData: null,
    },
    {
      lineCode: null,
      type: 'match',
      oldLine: null,
      newLine: null,
      discussions: [],
      text: '',
      richText: '',
      metaData: {
        oldPos: 3,
        newPos: 5,
      },
    },
  ],
  parallelDiffLines: [
    {
      left: {
        type: 'empty-cell',
      },
      right: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_1',
        type: 'new',
        oldLine: null,
        newLine: 1,
        discussions: [],
        text: '+<span id="LC1" class="line" lang="plaintext">  - Bad dates</span>\n',
        richText: '<span id="LC1" class="line" lang="plaintext">  - Bad dates</span>\n',
        metaData: null,
      },
    },
    {
      left: {
        type: 'empty-cell',
      },
      right: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_2',
        type: 'new',
        oldLine: null,
        newLine: 2,
        discussions: [],
        text: '+<span id="LC2" class="line" lang="plaintext"></span>\n',
        richText: '<span id="LC2" class="line" lang="plaintext"></span>\n',
        metaData: null,
      },
    },
    {
      left: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_3',
        type: null,
        oldLine: 1,
        newLine: 3,
        discussions: [],
        text: ' <span id="LC3" class="line" lang="plaintext">v6.8.0</span>\n',
        richText: '<span id="LC3" class="line" lang="plaintext">v6.8.0</span>\n',
        metaData: null,
      },
      right: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_1_3',
        type: null,
        oldLine: 1,
        newLine: 3,
        discussions: [],
        text: ' <span id="LC3" class="line" lang="plaintext">v6.8.0</span>\n',
        richText: '<span id="LC3" class="line" lang="plaintext">v6.8.0</span>\n',
        metaData: null,
      },
    },
    {
      left: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_2_4',
        type: null,
        oldLine: 2,
        newLine: 4,
        discussions: [],
        text: ' <span id="LC4" class="line" lang="plaintext"></span>\n',
        richText: '<span id="LC4" class="line" lang="plaintext"></span>\n',
        metaData: null,
      },
      right: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_2_4',
        type: null,
        oldLine: 2,
        newLine: 4,
        discussions: [],
        text: ' <span id="LC4" class="line" lang="plaintext"></span>\n',
        richText: '<span id="LC4" class="line" lang="plaintext"></span>\n',
        metaData: null,
      },
    },
    {
      left: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_3_5',
        type: null,
        oldLine: 3,
        newLine: 5,
        discussions: [],
        text: ' <span id="LC5" class="line" lang="plaintext">v6.7.0</span>\n',
        richText: '<span id="LC5" class="line" lang="plaintext">v6.7.0</span>\n',
        metaData: null,
      },
      right: {
        lineCode: '1c497fbb3a46b78edf04cc2a2fa33f67e3ffbe2a_3_5',
        type: null,
        oldLine: 3,
        newLine: 5,
        discussions: [],
        text: ' <span id="LC5" class="line" lang="plaintext">v6.7.0</span>\n',
        richText: '<span id="LC5" class="line" lang="plaintext">v6.7.0</span>\n',
        metaData: null,
      },
    },
    {
      left: {
        lineCode: null,
        type: 'match',
        oldLine: null,
        newLine: null,
        discussions: [],
        text: '',
        richText: '',
        metaData: {
          oldPos: 3,
          newPos: 5,
        },
      },
      right: {
        lineCode: null,
        type: 'match',
        oldLine: null,
        newLine: null,
        discussions: [],
        text: '',
        richText: '',
        metaData: {
          oldPos: 3,
          newPos: 5,
        },
      },
    },
  ],
};
